Jack::JackCoreMidiInputPort Class Reference
Inheritance diagram for Jack::JackCoreMidiInputPort:

## Public Member Functions

| JackCoreMidiInputPort (double time_ratio, size_t max_bytes=4096, size_t max_messages=1024)
void | ProcessCoreMidi (const MIDIPacketList *packet_list)
void | ProcessJack (JackMidiBuffer *port_buffer, jack_nframes_t frames)
bool | Start ()
bool | Stop ()
Public Member Functions inherited from Jack::JackCoreMidiPort
| JackCoreMidiPort (double time_ratio)
const char * | GetAlias ()
const char * | GetName ()

## Protected Member Functions

void | Initialize (const char *alias_name, const char *client_name, const char *driver_name, int index, MIDIEndpointRef endpoint)
Protected Member Functions inherited from Jack::JackCoreMidiPort
void | Initialize (const char *alias_name, const char *client_name, const char *driver_name, int index, MIDIEndpointRef endpoint, bool is_output)
MIDIEndpointRef | GetEndpoint ()

## Additional Inherited Members

Static Public Member Functions inherited from Jack::JackCoreMidiPort
static bool | IsInternalPort (MIDIObjectRef port_aux)
Protected Attributes inherited from Jack::JackCoreMidiPort
double | time_ratio
MIDIEndpointRef | endpoint
Static Protected Attributes inherited from Jack::JackCoreMidiPort
static std::set< MIDIEndpointRef > | endpoint_list

## Detailed Description

Definition at line 29 of file JackCoreMidiInputPort.h.

The documentation for this class was generated from the following files:

- JackCoreMidiInputPort.h
- JackCoreMidiInputPort.cpp